<div class="modal-bg" [ngClass]="{'hidden': !isShown }">
    <div class="groupBox modal-container @GetContainerAdditionalClasses()">
        <h3 class="modal-header">
            {{title}}
            <button class="button small close" (click)="hide()" style="margin: 0.4em;">🗙</button>
        </h3>
        <div class="groupBoxContent modal-content">
            <div appChildContainer></div>
        </div>
    </div>
</div>

<ng-template #messageTemplate let-message="context">
    {{message}}
</ng-template>